from etgui import *
from PageLayout import *
from PrefsMirrorEntries import *

def MakePageProjectSetup(model):
	path="GUI.ProjectAttributes"+'.'

	return MakePageLayout(eVObjHExpand|eVObjVCenter,
		MakeBorderedSectionLayout("General",
			Form(
				items=MakeItemIgnoreDirs(model,path+"General.IgnoreDirs")
				+MakeItemTabSize(model,path+"General.TabSize")
				+["Projects Template Directory",PotGuiDirSelector(path+"TemplateDir",gTextFieldLen)]
			)
		),
		MakeBorderedSectionLayout("Build System",
			MakeItemUseMakeSupport(model,path+"Build.UseMakeSupport"),
			Form(
				items=MakeItemMakeCommand(model,path+"Build.MakeCommand")
			),
			Form(
				items=MakeItemHelpTarget(model,path+"Build.HelpTarget")
			)
		),
		MakeBorderedSectionLayout("Parser",
			Form(
				items=MakeItemConfigurationFiles(model,path+"Parser.ConfigurationFiles")
				+MakeItemPreprocessorDirectives(model,path+"Parser.PreprocessorDirectives")
			),
			MakeItemUseParserComments(model,path+"Parser.UseParserComments"),
			MakeItemAPIPositions(model,path+"Parser.APIPositions")
		),
		MakeBorderedSectionLayout("Version/Configuration Management",
		Filler(gPoint0),
			Form(
				items=MakeItemVersionTool(model,path+"VCS.VersionTool")
			)
		)
	)
